TokyoTyrant::copy
TokyoTyrant::fwmKeys
TokyoTyrant
PHP Manual

# TokyoTyrant::ext

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::ext — Exécute un script distant

### Description

public string TokyoTyrant::ext ( string `$name` , int `$options` , string `$key` , string `$value` )

Exécute un script distant.

### Liste de paramètres

`name`

  Nom de la fonction à exécuter

`options`

  Soit la constante `TokyoTyrant::RDBXO_LCKREC` pour poser un verrou sur l'enregistrement, soit la constante `TokyoTyrant::RDBXO_LCKGLB` pour poser un verrou global.

`key`

  La clé à passer à la fonction

`value`

  La valeur à passer à la fonction

### Valeurs de retour

Retourne le résultat de l'exécution du script.

### Exemples

Exemple #1 Exemple avec TokyoTyrant::ext()

`<?php
$tt = new TokyoTyrant("localhost", 1978);
echo $tt->ext("somefunc", TokyoTyrant::RDBXO_LCKREC, "some_key", "some_value");
?>`

TokyoTyrant::copy
TokyoTyrant::fwmKeys
TokyoTyrant
PHP Manual